TechDraw RadiusDimension: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
No edit summary
(24 intermediate revisions by 6 users not shown)
Line 1: Line 1:
<languages/>
<translate>
<translate>
<!--T:18-->
{{Docnav
|[[TechDraw_Dimension_Vertical|New Vertical]]
|[[TechDraw_Dimension_Diameter|New Diameter]]
|[[TechDraw_Module|TechDraw]]
|IconL=TechDraw_Dimension_Vertical.svg
|IconR=TechDraw_Dimension_Diameter.svg
|IconC=Workbench_TechDraw.svg
}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand|Name=TechDraw Dimension Radius|Workbenches=[[TechDraw Module|TechDraw]]|MenuLocation=TechDraw → Dimension Radius|Shortcut=|SeeAlso=}}
|Name=TechDraw Dimension Radius
|MenuLocation=TechDraw → Dimension Radius
|Workbenches=[[TechDraw_Module|TechDraw]]
|SeeAlso=[[TechDraw_Dimension_Diameter|TechDraw Dimension Diameter]]
}}


==Description== <!--T:2-->
==Description== <!--T:2-->
The Dimension Radius tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc.
[[File:RadiusSample.png|200px|center]]


==How to use== <!--T:3-->
<!--T:8-->
The Dimension Radius tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the {{Button|[[Image:TechDraw_Dimension_Link.svg|16px]] [[TechDraw_Dimension_Link|Link Dimension]]}} tool.


</translate>
[[Image:TechDraw_Dimension_Radius_example.png|130px]]
<translate>
<!--T:9-->
{{Caption|Measuring a circle, indicating the radius}}

==Usage== <!--T:3-->

<!--T:10-->
# Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
# Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
# Press the {{KEY|[[Image:Dimension_Radius.png|24px]] [[TechDraw Dimension Radius|Dimension Radius]]}} button
# Press the {{Button|[[Image:TechDraw_Dimension_Radius.svg|16px]] [[TechDraw_Dimension_Radius|Dimension Radius]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# A dimension will be added to the View. The dimension may be dragged to the desired position.


==Options== <!--T:4-->
== Limitations == <!--T:11-->

None.
<!--T:12-->
Dimension objects are vulnerable to "topological naming" issues. See the information in the [[TechDraw_Dimension_Length|TechDraw Dimension Length]] tool for more information.


==Properties== <!--T:5-->
==Properties== <!--T:5-->

* {{PropertyData|X}}: Horizontal position of the dimension text relative to the View.
<!--T:13-->
* {{PropertyData|Y}}: Vertical position of the dimension text relative to the View.
This object has the same properties as the [[TechDraw_Dimension_Length|TechDraw Dimension Length]] tool. See that tool for details.
* {{PropertyData|Font}}: The name of the font to use for the dimension text.
* {{PropertyData|Fontsize}}: Dimension text size in mm.
* {{PropertyData|FormatSpec}}: Allows additional text to be added to the dimension text. Dimension value will replace %value%.
* {{PropertyData|LineWidth}}: Dimension line weight.
* {{PropertyData|Type}}: Length,radius,diameter, etc. Not normally manipulated by the end user.
* {{PropertyData|MeasureType}}: "True" - based on 3D geometry or "Projected" - based on the drawing. Not normally manipulated directly by the end user.


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->

Radius dimensions can be added to Pages using Python.
<!--T:14-->
{{Emphasis|See also:}} [[TechDraw_API|TechDraw API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<!--T:15-->
The Dimension Radius tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following functions:

</translate>
</translate>
{{Code|code=
{{Code|code=
Line 35: Line 64:
}}
}}
<translate>
<translate>

==Notes== <!--T:7-->

* None at this time
<!--T:19-->
{{Docnav
|[[TechDraw_Dimension_Vertical|New Vertical]]
|[[TechDraw_Dimension_Diameter|New Diameter]]
|[[TechDraw_Module|TechDraw]]
|IconL=TechDraw_Dimension_Vertical.svg
|IconR=TechDraw_Dimension_Diameter.svg
|IconC=Workbench_TechDraw.svg
}}

</translate>
</translate>
{{TechDraw Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}
<languages/>

Revision as of 21:57, 2 December 2020

TechDraw Dimension Radius

Menu location
TechDraw → Dimension Radius
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw Dimension Diameter

Description

The Dimension Radius tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the Link Dimension tool.


Measuring a circle, indicating the radius

Usage

  1. Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
  2. Press the Dimension Radius button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Properties

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Radius tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)